# Installation

The instructions below will help you to properly install the generated package to the lavalite project.

## Location

Extract the package contents to the folder 

`/packages/litepci/emailtemp/`

## Composer

Add the below entries in the `composer.json` file's autoload section and run the command `composer dump-autoload` in terminal.

```json

...
     "autoload": {
         ...

        "classmap": [
            ...
            
            "packages/litepci/emailtemp/database/seeds",
            
            ...
        ],
        "psr-4": {
            ...
            
            "Litepci\\Emailtemp\\": "packages/litepci/emailtemp/src",
            
            ...
        }
    },
...

```

## Config

Add the entries in service provider in `config/app.php`

```php

...
    'providers'       => [
        ...
        
        Litepci\Emailtemp\Providers\EmailtempServiceProvider::class,
        
        ...
    ],

    ...

    'alias'             => [
        ...
        
        'Emailtemp'  => Litepci\Emailtemp\Facades\Emailtemp::class,
        
        ...
    ]
...

```

## Migrate

After service provider is set run the commapnd to migrate and seed the database.


    php artisan migrate
    php artisan db:seed --class=Litepci\\EmailtempTableSeeder

## Publishing


**Publishing configuration**

    php artisan vendor:publish --provider="Litepci\Emailtemp\Providers\EmailtempServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Litepci\Emailtemp\Providers\EmailtempServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Litepci\Emailtemp\Providers\EmailtempServiceProvider" --tag="view"


## URLs and APIs


### Web Urls

**Admin**

    http://path-to-route-folder/admin/emailtemp/{modulename}

**User**

    http://path-to-route-folder/user/emailtemp/{modulename}

**Public**

    http://path-to-route-folder/emailtemps


### API endpoints

**List**
 
    http://path-to-route-folder/api/user/emailtemp/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/emailtemp/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/emailtemp/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/emailtemp/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/emailtemp/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/emailtemp/{modulename}/{slug}
    METHOD: GET