<?php

namespace Litepci\Emailtemp\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class EmailtempTransformer extends TransformerAbstract
{
    public function transform(\Litepci\Emailtemp\Models\Emailtemp $emailtemp)
    {
        return [
            'id'                => $emailtemp->getRouteKey(),
            'key'               => [
                'public'    => $emailtemp->getPublicKey(),
                'route'     => $emailtemp->getRouteKey(),
            ], 
            'company_id'        => $emailtemp->company_id,
            'email_type'        => $emailtemp->email_type,
            'template_type'     => $emailtemp->template_type,
            'subject'           => $emailtemp->subject,
            'heading_1'         => $emailtemp->heading_1,
            'content'           => $emailtemp->content,
            'discliamer'        => $emailtemp->discliamer,
            'footer'            => $emailtemp->footer,
            'user_id'           => $emailtemp->user_id,
            'user_type'         => $emailtemp->user_type,
            ')'                 => $emailtemp->),
            'deleted_at'        => $emailtemp->deleted_at,
            'url'               => [
                'public'    => trans_url('emailtemp/'.$emailtemp->getPublicKey()),
                'user'      => guard_url('emailtemp/emailtemp/'.$emailtemp->getRouteKey()),
            ], 
            'status'            => trans('app.'.$emailtemp->status),
            'created_at'        => format_date($emailtemp->created_at),
            'updated_at'        => format_date($emailtemp->updated_at),
        ];
    }
}